CREATE procedure [C6StagingPeriodico].[RP_ST_DettaglioOperazione_pre_selective] as
begin 
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_DettaglioOperazione_pre_selective',
		GETDATE(),
		'Elaborazione Trimestrale'
	)
	truncate table C6StagingPeriodico.RP_DettaglioOperazione
	--drop table C6StagingPeriodico.RP_DettaglioOperazione
	insert into C6StagingPeriodico.RP_DettaglioOperazione
	select 
	chiaveProposta,codTipoOperazione,chiavePosizionePtf,chiavePosizionePro,chiaveContratto,ctv,ptfIniziale,quantitaNominale,ctvNonRappresentabile,investi,disinvesti,rischioCredito,rischioMercato,copertura,percOperazione,gestPO,relOperazione,opEseguita,posRiallocata,nomeProgettoProp,areaProp,isAttivoRC
	from [CONSUNI_PERIODICO].[consulenzaUnica].dbo.DettaglioOperazione
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_DettaglioOperazione_pre_selective' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_DettaglioOperazione_pre_selective'
		)
end